Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Competition Analysis API

Get Insights about Brand and their competition with detailed analysis.

POST – Create Competition

This API is used for creating competition.

curl --location 'https://dashboard.ylytic.com/ylytic/admin/api/v1/competition_analysis' \
--header 'Authorization: Bearer {{auth_header}}' \
--data '{
    "fetch_interval":"quarterly",
    "name":"rebook",
    "brand_handle":{
        "instagram": "https://www.instagram.com/reebokindia",
        "youtube": ""
    },
    "competitor_handles:[
      {
        "instagram": "https://www.instagram.com/adidasindia",
        "youtube": ""
      },
      {
        "instagram": "https://www.instagram.com/pumaindia",
        "youtube": ""
      }
    ]
}'

payload

ATTRIBUTES
DESCRIPTION
Expected Values

fetch_interval

total data fetching interval ( i.e. fetch posts for 6 months for analysis)

monthly, quarterly,

half_yearly, yearly

name

Name of the competition for identifier.

Simple string i.e. "Rebook"

brand_handle

Handle of the brand

Full handle which shown in CURL

competitor_handles

Handles of competitor brands

Array of handles which shown in CURL

OUTPUT

GET – Competition Insights

This API is used for getting competition insights.

Last updated